# create_speaker_indices.praat
# djmw 20040427

form Create speaker indices
	word Categories_(path) /home/david/tex/thesis/cart/barks_total_frame2.Categories
endform

# assume categories are already sorted by creation!!

savedir$ = "/home/david/tex/thesis/nn-bias2/"
Read from file... 'categories$'

categories = selected ("Categories")
name$ = selected$ ("Categories")
tablename$ = name$ + "_index"
To Strings
strings = selected ("Strings")
nstrings = Get number of strings

To Distributions
distributions = selected ("Distributions")

nrows = Get number of rows

Create TableOfReal... 'tablename$' nrows 2
tableofreal = selected ("TableOfReal")

row = 0

select strings
category$ = Get string... 1
categorystart = 1
for i from 2 to nstrings
	current$ = Get string... i
	if current$ <> category$
		row += 1
		select tableofreal
		Set row label (index)... row 'category$'
		Set value... row 1 'categorystart'
		categoryend = i - 1
		categorystart = i
		Set value... row 2 'categoryend'
		category$ = current$
		select strings
	endif
endfor

select tableofreal
row += 1
Set row label (index)... row 'category$'
Set value... row 1 'categorystart'
Set value... row 2 'nstrings' 
  
Write to short text file... 'savedir$''tablename$'.TableOfReal
