# procrustus_normalizations.praat
# djmw 20050406

# 9 dimensions BF

datadir$ = "/home/david/tex/thesis/data/"
savedir$ = "/home/david/tex/thesis/nn-bias2/"
Read from file... 'datadir$'barks_total_frame2_mf_meansperspeaker.TableOfReal
mf = selected ("TableOfReal")

select mf
Extract row ranges... 1 : 8078
m = selected  ("TableOfReal")
Rename... m

select mf
Extract row ranges... 8079 : 11579
f = selected  ("TableOfReal")
Rename... f

procedure procrustes tm_id tf_id

  select tm_id
  To TableOfReal (means by row labels)... n
  mm = selected  ("TableOfReal")

  select tf_id
  To TableOfReal (means by row labels)... n
  mf = selected  ("TableOfReal")

  select mm
  plus mf
  To Configuration
  c1 = selected ("Configuration",1)
  c2 = selected ("Configuration",2)
  To Procrustes... n
  procrustes = selected ("Procrustes")

  select c1
  plus c2
  plus mm
  plus mf
  Remove

  select tf_id
  To Configuration
  cf = selected ("Configuration")
  plus procrustes
  To Configuration
  tmp = selected ("Configuration")
  To TableOfReal
  fp = selected  ("TableOfReal")
  select cf
  plus tmp
  Remove

  t1 = tm_id
  t2 = tf_id
  t3 = fp

  select t1
  To Discriminant
  dm = selected ("Discriminant")

  for i to 3
    select dm
    plus t'i'
    To ClassificationTable... y y
    clt = selected ("ClassificationTable")
    To Confusion
    cf = selected ("Confusion")
    fc = Get fraction correct
    select clt
    plus cf
    Remove
    printline 'i' 'fc'
  endfor
endproc

printline 18 pc's
call procrustes m f

Read from file... 'datadir$'barks_total_frame2_mf_meansperspeaker_pc9.TableOfReal
mf9 = selected ("TableOfReal")

select mf9
Extract row ranges... 1 : 8078
m9 = selected  ("TableOfReal")
Rename... m9

select mf9
Extract row ranges... 8079 : 11579
f9 = selected  ("TableOfReal")
Rename... f9

printline 9 pc's
call procrustes m9 f9


Create TableOfReal (Pols 1973)... n
p = selected ("TableOfReal")


Create TableOfReal (Van Nierop 1973)... n
v = selected ("TableOfReal")

printline 3 formanten
call procrustes p v

select p
plus v
Formula... log10(self)

printline 3 log(formanten)
call procrustes p v









