# 20000217: djmw
# 20050224 djmw latest modification

savedir$ = "/home/david/tex/thesis/pca"
include /home/david/tex/praat_procedures.praat
call vp_init 10 10 1 1 1
call vp_next
execute normal_2D.praat 100 -0.5 0.5 1 0.2 60 1
Rename... t1
execute normal_2D.praat 100  0.2 -0.5 1 0.2 60 2
Rename... t2
plus TableOfReal t1
Append
Rename... t12
select TableOfReal t2
plus TableOfReal t1
Remove
select TableOfReal t12

xmin=-3
xmax=3
ymin=-3
ymax=3
procedure draw_scatter
	Draw scatter plot... 1 2 0 0 'xmin' 'xmax' 'ymin' 'ymax' 12 no + yes
	One mark bottom... 0 1 1 0
	One mark left... 0 1 1 0
endproc

procedure draw_ellipses
	select TableOfReal t12
	To Discriminant
	Draw sigma ellipses... 1 no 1 2 'xmin' 'xmax' 'ymin' 'ymax' 0 no
	de1=Get eigenvector element... 1 1
	de2=Get eigenvector element... 1 2
	Remove
	select TableOfReal t12
	To PCA
	pe1=Get eigenvector element... 1 1
	pe2=Get eigenvector element... 1 2
	ptan = 'pe2'/'pe1'
	Remove
	select TableOfReal t12
	To SSCP... 0 0 0 0
	mx=Get centroid element... 1
	my=Get centroid element... 2
	Dotted line
	Line width... 2
	Draw sigma ellipse... 1 1 2 'xmin' 'xmax' 'ymin' 'ymax' no
	Line width... 1
	Plain line
	Remove
	dtan = 'de2'/'de1'
	db='my'-'dtan' * 'mx'
	Create Polynomial... d1 'xmin' 'xmax' 'db' 'dtan'
	Dashed line
	Draw... 'xmin' 'xmax' 'ymin' 'ymax' 0 no
	Plain line
	Remove
	ptan = 'pe2'/'pe1'
	db='my'-'ptan' * 'mx'
	Create Polynomial... p1 'xmin' 'xmax' 'db' 'ptan'	
	Draw... 'xmin' 'xmax' 'ymin' 'ymax' 0 no
	Remove
endproc

call draw_scatter
pause continue
call draw_ellipses

#call save normal_data2
