# adaptation_boxplots_combinedreference.praat
# djmw 20040614

savedir$ = "/home/david/tex/thesis/nn-bias2/"
include /home/david/tex/praat_procedures.praat
call vp_init 18 18 2 3 1

Read from file... 'savedir$'biasadaption_results_1_10_1_630_20040604.TableOfReal
mr = selected ("TableOfReal")
Extract row ranges... 1:438
mrm438 = selected ("TableOfReal")
select mr
Extract row ranges... 439:630
mrf192 = selected ("TableOfReal")

Read from file... 'savedir$'biasadaption_results_439_448_1_630_20040611.TableOfReal
fr = selected ("TableOfReal")
select fr
Extract row ranges... 1:438
frm438 = selected ("TableOfReal")
select fr
Extract row ranges... 439:630
frf192 = selected ("TableOfReal")

procedure average_columns table cb ce
  select 'table'
  cmean = 0
  for i from cb to ce
    cmeant = Get column mean (index)... i
    cmean += cmeant
  endfor
  cmean /= ce - cb + 1
endproc

procedure plot_table table toptext$
  call vp_next
  select 'table'
  Draw box plots... 0 0 6 25 0.1 0.7 yes 
  Text top... no 'toptext$'
  call average_columns 'table' 6 15
  cmean$ = fixed$ (cmean, 3)
  One mark left... 'cmean$' y y n
  call average_columns 'table' 16 25
  cmean$ = fixed$ (cmean, 3)
  One mark right... 'cmean$' y y n
endproc

call plot_table 'mr' Train: 1--10, Test: 1--630
call plot_table 'fr' Train: 439--448, Test: 1--630


call plot_table 'mrm438' Train: 1--10, Test: 1--438
call plot_table 'mrf192' Train: 1--10, Test: 439--630
call plot_table 'frm438' Train: 439--448, Test: 1--438
call plot_table 'frf192' Train: 439--448, Test: 439--630


call save adaptation_boxplots_combinedreference
