# draw_f0_distributions-m-f.praat
# djmw 20050324 Last modification

readdir$ = "/home/david/tex/thesis/data/"
savedir$ = "/home/david/tex/thesis/timit/"
include /home/david/tex/praat_procedures.praat

Read from file... 'readdir$'barks_d0R0SmfP00A1_03.TableOfReal
table = selected ("TableOfReal")
Set column label (index)... 6 F__01_
Set column label (index)... 8 F__03_
Extract column ranges... 7
f0 = selected ("TableOfReal")
# zet de f0=0 voor de vrouwen om in 5 Hz zodat deze in bin 2 komen!!
Formula... if row>54357 and self<1 then 5 else self fi
To Matrix
f0m = selected ("Matrix")

call vp_init 12 6 1 1 1

call vp_next

# male part
Draw distribution... 0 0 0 54357.5 0 400 100 0 4000 n

#female part
Dotted line
Draw distribution... 0 0 54357.5 78374.5 0 400 100 0 4000 n
Plain line
Draw inner box
Marks left every... 1 1000 y y n
Marks bottom every... 1 100 y y n
Text bottom... y Fundamental frequency (Hz)
Text left... y Number / bin
call save f0_distributions-m-f

pause
call vp_init 10 10 1 1 1
call vp_next

select table
Draw scatter plot... 6 8 0 0 0 600 0 600 6 n + y
Marks left every... 1 100 y y y
Marks bottom every... 1 100 y y y
Draw line... 0 0 300 600
Draw line... 0 0 600 300
Dotted line
Draw line... 0 0 600 600*0.61
Draw line... 0 0 600/1.64 600

Draw line... 0 0 600 600*0.4
Draw line... 0 0 600/2.50 600
Plain line

procedure parallel_lines
  # y = a x + b
  # b must be calculted from orthogonal distance d to line.
  # d = 15 Hz, two lines are 30 Hz apart
  d = 15
  a = 2
  b = d * sqrt (a^2+1) 
  Dotted line
  Draw line... 0 b (600-b)/a 600
  Draw line... b/a 0 (600+b)/a 600
  a = 1/2
  b = d * sqrt (a^2+1) 
  Draw line... 0 b 600 600*a+b
  Draw line... b/a 0 600 600*a-b
  Plain line
endproc

#call parallel_lines
call save f0_t1_vs_t3_scatter
select f0
plus f0m
Remove
